Debian Bug report logs - #554305
FTBFS with binutils-gold

version graph

Package: src:devilspie; Maintainer for src:devilspie is Debian QA Group <packages@qa.debian.org>;

Reported by: Peter Fritzsche <peter.fritzsche@gmx.de>

Date: Tue, 3 Nov 2009 23:21:53 UTC

Severity: serious

Tags: sid, wheezy

Found in version devilspie/0.22-1

Fixed in version devilspie/0.22-2

Done: Andreas Rönnquist <gusnan@gusnan.se>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Ross Burton <ross@debian.org>:
Bug#554305; Package src:devilspie. (Tue, 03 Nov 2009 23:21:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
New Bug report received and forwarded. Copy sent to Ross Burton <ross@debian.org>. (Tue, 03 Nov 2009 23:21:56 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Peter Fritzsche <peter.fritzsche@gmx.de>
To: maintonly@bugs.debian.org
Subject: FTBFS with binutils-gold
Date: Wed, 4 Nov 2009 00:02:57 +0100
Source: devilspie
Version: 0.22-1
Severity: minor
User: peter.fritzsche@gmx.de
Usertags: no-add-needed

Tried to build your package and it fails to build with GNU binutils-gold. The
important difference is that --no-add-needed is the default behavior of of GNU
binutils-gold. Please provide all needed libraries to the linker when building
your executables.

More informations can be found at
 http://wiki.debian.org/qa.debian.org/FTBFS#A2009-11-02Packagesfailingbecausebinutils-gold.2BAC8-indirectlinking

cc -Wall -Wmissing-prototypes  -g -O2 -g -Wall -O2  -Wl,-O1 -Wl,--as-needed -o devilspie devilspie.o xutils.o e-sexp.o parser.o 
logical.o matchers.o actions.o -lwnck-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -
lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   
/usr/bin/ld: xutils.o: in function my_wnck_window_get_xscreen:xutils.c:182: error: undefined reference to 
'XGetWindowAttributes'
/usr/bin/ld: xutils.o: in function my_wnck_error_trap_pop:xutils.c:103: error: undefined reference to 'XSync'
/usr/bin/ld: xutils.o: in function my_wnck_get_cardinal:xutils.c:245: error: undefined reference to 'XGetWindowProperty'
/usr/bin/ld: xutils.o: in function my_wnck_get_cardinal:xutils.c:263: error: undefined reference to 'XFree'
/usr/bin/ld: xutils.o: in function my_wnck_get_cardinal:xutils.c:258: error: undefined reference to 'XFree'
/usr/bin/ld: xutils.o: in function my_wnck_get_cardinal_list:xutils.c:205: error: undefined reference to 'XGetWindowProperty'
/usr/bin/ld: xutils.o: in function my_wnck_get_cardinal_list:xutils.c:218: error: undefined reference to 'XFree'
/usr/bin/ld: xutils.o: in function my_wnck_get_cardinal_list:xutils.c:226: error: undefined reference to 'XFree'
/usr/bin/ld: xutils.o: in function my_wnck_get_string_property_latin1:xutils.c:125: error: undefined reference to 
'XGetWindowProperty'
/usr/bin/ld: xutils.o: in function my_wnck_get_string_property_latin1:xutils.c:160: error: undefined reference to 
'XGetAtomName'
/usr/bin/ld: xutils.o: in function my_wnck_get_string_property_latin1:xutils.c:147: error: undefined reference to 
'XGetAtomName'
/usr/bin/ld: xutils.o: in function my_wnck_atom_get:xutils.c:43: error: undefined reference to 'XInternAtom'
/usr/bin/ld: xutils.o: in function my_wnck_change_state:xutils.c:87: error: undefined reference to 'XSendEvent'
/usr/bin/ld: actions.o: in function func_opacity:actions.c:690: error: undefined reference to 'XChangeProperty'
/usr/bin/ld: actions.o: in function set_decorations:actions.c:580: error: undefined reference to 'XChangeProperty'
/usr/bin/ld: actions.o: in function func_set_viewport:actions.c:507: error: undefined reference to 'XMoveResizeWindow'
/usr/bin/ld: actions.o: in function func_center:actions.c:256: error: undefined reference to 'XMoveWindow'
/usr/bin/ld: actions.o: in function func_geometry:actions.c:190: error: undefined reference to 'XParseGeometry'
/usr/bin/ld: actions.o: in function func_geometry:actions.c:208: error: undefined reference to 'XMoveResizeWindow'
collect2: ld returned 1 exit status
make[3]: *** [devilspie] Error 1




Severity set to 'important' from 'minor' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Thu, 24 Feb 2011 13:21:30 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 28 Feb 2011 14:28:20 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Sun, 13 Mar 2011 17:26:57 GMT) Full text and rfc822 format available.

Reply sent to Andreas Rönnquist <gusnan@gusnan.se>:
You have taken responsibility. (Wed, 21 Sep 2011 03:33:03 GMT) Full text and rfc822 format available.

Notification sent to Peter Fritzsche <peter.fritzsche@gmx.de>:
Bug acknowledged by developer. (Wed, 21 Sep 2011 03:33:03 GMT) Full text and rfc822 format available.

Message #16 received at 554305-close@bugs.debian.org (full text, mbox):

From: Andreas Rönnquist <gusnan@gusnan.se>
To: 554305-close@bugs.debian.org
Subject: Bug#554305: fixed in devilspie 0.22-2
Date: Wed, 21 Sep 2011 03:32:11 +0000
Source: devilspie
Source-Version: 0.22-2

We believe that the bug you reported is fixed in the latest version of
devilspie, which is due to be installed in the Debian FTP archive:

devilspie_0.22-2.debian.tar.gz
  to main/d/devilspie/devilspie_0.22-2.debian.tar.gz
devilspie_0.22-2.dsc
  to main/d/devilspie/devilspie_0.22-2.dsc
devilspie_0.22-2_amd64.deb
  to main/d/devilspie/devilspie_0.22-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 554305@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Rönnquist <gusnan@gusnan.se> (supplier of updated devilspie package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 21 Sep 2011 01:02:59 +0200
Source: devilspie
Binary: devilspie
Architecture: source amd64
Version: 0.22-2
Distribution: unstable
Urgency: low
Maintainer: Andreas Rönnquist <gusnan@gusnan.se>
Changed-By: Andreas Rönnquist <gusnan@gusnan.se>
Description: 
 devilspie  - find windows and perform actions on them
Closes: 554305 638991 642262
Changes: 
 devilspie (0.22-2) unstable; urgency=low
 .
   * New maintainer (closes: #642262)
   * Convert to source format 3.0 (quilt)
   * Update debhelper compatibility level to 7
   * Update standards version to 3.9.2
   * Fix deprecated functions causing FTBFS
     - fix_gdk_display_ftbfs.patch (closes: #638991)
   * Fix FTBFS with binutils-gold
     - fix_ftbfs_with_binutils_gold.patch (closes: #554305)
     - add dependency on libx11-dev
   * debian/control: Add homepage field
   * debian/copyright:
     - Fix copyright refers to versionless license file
     - Fix copyright without copyright notice
   * debian/NEWS:
     - Fix debian-news-entry-uses-asterisk
Checksums-Sha1: 
 9eea1395eb1b60e3198eae10155865532c66313b 1144 devilspie_0.22-2.dsc
 6aaabb0376af868aa437c8c265a524c17aaedca0 4896 devilspie_0.22-2.debian.tar.gz
 3561faa9bdb5e5028aabacdd12f73350acdb0cf9 38774 devilspie_0.22-2_amd64.deb
Checksums-Sha256: 
 a7a2755850290cae56dd06879f5c69f7df69e7bfe894593d1cf89afd44812ae3 1144 devilspie_0.22-2.dsc
 5b5d03db8b6bbe3ee81dd6115ce57a820a5d00039579cec7251b2414622d9180 4896 devilspie_0.22-2.debian.tar.gz
 dff2ad9af9840e00452f67523723b7c0c3f634a94df2b2753c1e506ec842eb9a 38774 devilspie_0.22-2_amd64.deb
Files: 
 c14fecfdf6664a2c765cebd4975dd489 1144 gnome optional devilspie_0.22-2.dsc
 790f4e54178148701dab9a83c375e76c 4896 gnome optional devilspie_0.22-2.debian.tar.gz
 dd7662060c13eb237df88d8b10820963 38774 gnome optional devilspie_0.22-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk55WW4ACgkQ5Sc9mGvjxCPjGgCgyUGq5vDZQX+JGdhYXU6gmTYH
NGIAn3LNeUXbrSHrbXab9n7M34QdhsNn
=0UpB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:39:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:28:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.